Page 1 of 1

Where to install texture packs on Mac OS X?

Posted: Sun Mar 11, 2012 16:35
by Arwym
Does anybody know the right path to install texture packs with the Mac OS X version of Minetest? I got the Adventure Set, but I don't know exactly where it goes. The instructions in the readme are directed at Windows and GNU/Linux users.

Posted: Sun Mar 11, 2012 17:08
by jordan4ibanez
its essentially the same :) just follow it as the minetest directory! soo ..if a texture goes in default mod section you go to YOURDIRECTORY-Minetest-data-mods-default-textures-THE TEXTURE hope that helps

Posted: Sun Mar 11, 2012 17:57
by Arwym
That would mean that I have to get inside the Minetest .app package and look inside it, which I find odd. :o That is, Applications/Minetest c55.app/Contents/Resources/data.

There is another place, in /Users/Jessica/Library/Application Support/minetest, but there is no data folder in there. There, however, is the minetest.conf file and the cache and world folders. Also, I don't see the default textures anywhere. :(

So, which would would it be? >.>

Edit: never mind. It seems that the default textures are inside the /mods folder in the .app package. So I will just specify a different path for the program to load textures, outside the .app, because I don't think I should modify the contents of the app. That's counterproductive, since I'd then have to reinstall all mods every time I update Minetest.

Posted: Mon Mar 12, 2012 00:20
by Arwym
Actually, I really need help. Just pasting the texture files doesn't work, because they aren't prefixed with "default_". I need specific instructions. :( And not just for textures, but also for mods and everything else on the Mac. All instructions in the wiki make reference to Windows and Linux, and nothing is said about Mac OS. >.<

Posted: Mon Mar 12, 2012 00:55
by Menche
If the textures aren't prefixed with "default_", that means that it is a texture pack made for the 0.3 version of minetest. Try downloading a texture pack that is made for 0.4, most popular ones have a 0.4 version.

Posted: Mon Mar 12, 2012 09:58
by Arwym
Thanks for replying! Problem solved. :)